Map API - Discover URLs on a website
curl --request POST \
--url https://api.llmlayer.dev/api/v2/map \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://www.ycombinator.com",
"ignoreSitemap": false,
"includeSubdomains": false,
"search": "blog",
"limit": 5000,
"timeout": 45000
}
'import requests
url = "https://api.llmlayer.dev/api/v2/map"
payload = {
"url": "https://www.ycombinator.com",
"ignoreSitemap": False,
"includeSubdomains": False,
"search": "blog",
"limit": 5000,
"timeout": 45000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://www.ycombinator.com',
ignoreSitemap: false,
includeSubdomains: false,
search: 'blog',
limit: 5000,
timeout: 45000
})
};
fetch('https://api.llmlayer.dev/api/v2/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": [
{
"url": "<string>",
"title": "<string>"
}
],
"statusCode": 123,
"cost": 123
}Endpoint
Map API - Discover URLs on a website
Firecrawl-style URL discovery. Maps all URLs on a website with lightweight titles (no content extraction). Useful for site exploration before crawling.
POST
/
api
/
v2
/
map
Map API - Discover URLs on a website
Authorizations
Bearer token authentication using your LLMLayer API key. Include in Authorization header as: Bearer YOUR_LLMLAYER_API_KEY
Body
application/json
Seed URL to start mapping from
Example:
"https://www.ycombinator.com"
If true, ignores sitemap.xml and discovers URLs by crawling
If true, includes URLs from subdomains
Filter discovered URLs by search string
Example:
"blog"
Maximum number of URLs to discover (hard cap: 30000)
Required range:
x <= 30000Timeout in milliseconds
